Subject: Re: [PATCH] generate COFF zImage in arch/powerpc/boot

From: Olaf Hering <[email-masked]>
Date: Sat, 19 Nov 2005 09:46:54 +0100

On Sat, Nov 19, Paul Mackeras wrote:

> There is still something I haven't got right: if you do make -j3, it
> does this sort of thing:
> 
>   STRIP   vmlinux.strip
>   STRIP   vmlinux.strip
>   GZIP    arch/powerpc/boot/kernel-vmlinux.strip.gz
>   GZIP    arch/powerpc/boot/kernel-vmlinux.strip.gz
>   BOOTCC  arch/powerpc/boot/kernel-vmlinux.strip.o
>   BOOTCC  arch/powerpc/boot/kernel-vmlinux.strip.o
> mv: cannot stat `arch/powerpc/boot/.kernel-vmlinux.strip.o.tmp': No such file or directory
> make[2]: *** [arch/powerpc/boot/kernel-vmlinux.strip.o] Error 1
> make[1]: *** [zImage] Error 2
> 
> I have no idea why it tries to make those things twice in parallel.
> It doesn't do that for vmlinux.

I think this comes from the targets evaluation. Maybe strip needs to be
some sort of serialization:

cmd_stripvm = $(STRIP) -s -R .comment $< -o $@.$$$$ && mv -v $@.$$$$ $@

gzip is also called twice, use the mygzip rule from
arch/ppc/boot/images/Makefile

-- 
short story of a lazy sysadmin:
 alias appserv=wotan